<script setup>
import GameBoard from "@/components/GameBoard.vue";
import Player from "@/components/Player.vue"
import { storeToRefs } from "pinia";
import { useGameStore } from "@/stores/game";

const { countryWithNeighbour } = storeToRefs(useGameStore())

</script>
 
<template>
    <div class="row">
        <div class="col-sm-2">
            <Player side="left"></Player>
        </div>
        <div class="col-sm-8">
            <span>Množství sousedícich států: {{ countryWithNeighbour.length }} </span>
            <GameBoard></GameBoard>
        </div>
        <div class="col-sm-2">
            <Player side="right"></Player>
        </div>
    </div>
</template>

<style scoped>

</style>